This page provides an ongoing record of updates, improvements, and new features. Stay informed on the latest changes and enhancements as we continue to develop and optimize our platform.
recipients field in the payload the /receivables/{receivable_id}/send and /receivables/{receivable_id}/send_test_reminder endpoints. Using this field, entities can include email addresses to which they want to send a copy or a blind copy of the email.purchase_order_id was added to the payable object. To configure this behavior, the field allow_purchase_order_autolinking (default value equals to true) was added to the entity settings.original_file_url field in responses for invoices, quotes, and credit notes that returns the receivables PDF in the entity’s language. The field was also added to the response of the GET /receivables/{receivable_id}/pdf_link endpoint.refunded status from the payout_failed and payout_cancelled statuses.GET /events endpoint retrieves a log of that was sent to a partner. It shows the history of events and includes events triggered while a webhook listener was unavailable.POST /payables/{payable_id}/validate endpoint that returns the information that is missing to move a payable from draft to the new state.issued_at or payment_terms fields are updated, the value of the suggested_payment_term is recalculated.line_item.vat_percentageline_item.total_incl_vatvat_amountonboarding and person.
onboarding permission is required to access the following endpoints using an entity user token:GET /entities/{entity_id}/onboarding_requirementsPOST /onboarding_documentsPOST /persons/{person_id}/onboarding_documentsperson permission is required to access other /persons* endpoints using an entity user token.Breaking changes:
event_name field is submitted_for_approval. The event_name and invoice fields remain mandatory.New features and improvements:
payable.ocr_status that reflects the current status of the OCR process of a payable. Its possible values are processing, error, and success.type field in the request body of the POST /receivables/{receivable_id}/preview endpoint. You can use type=discount_reminder or type=final_reminder to preview reminder emails for a specific invoice. For more information, see Preview a payment reminder email.response_status_code field in the responses from GET /webhooks.other_extracted_data object in the responses of OCR-processed payables: sort_code and account_number.unit parsed in the payables.line_items object in the responses of OCR-processed payables.PATCH /settings passing the new field enable_line_items as false (the default value is true).GET /counterparts to find and filter counterparts by their bank details: account_number and sort_code.deduction_amount and deduction_memo.receivable.deduction_title to provide a custom deduction title.Breaking changes:
The currency of products added as line items to invoices and quotes must now match the base currency of the invoice or quote itself. Monite does not support automatic currency conversion.
Changed the format of document_id values in invoices, quotes, and credit notes.
INV-XXXX (previously invoice-XXXX)Q-XXXX (previously quote-XXXX)CN-XXXX (previously credit-note-XXXX)Removed the unused push_statuses setting from /accounting_sync_rules.
New features and improvements:
Added VAT rates and regulatory coverage for Austria and Finland.
Country codes provided by entities and counterparts in the Canary Islands (IC) and autonomous Spanish cities—Ceuta and Melilla (EA)—must adhere to the ISO 3166 standard for those regions.
Added new endpoint to get the role of the authenticated entity user: GET /entity_users/my_role.
Added new RBAC permission: payment_record. It is required to access the /payment_records endpoints using an entity user token.
Added the ability to customize the email sender name and username on all outgoing emails. For more information, see Domains and mailboxes.
Added new id__in query parameter to GET /counterparts. Use it to bulk fetch multiple counterparts by their IDs.
Added new query parameters to GET /receivables to filter invoices by due date: due_date__gt, due_date__lt, due_date__gte, due_date__lte.
Added the due_date field to invoice responses as a convenience alias for the existing field payment_terms.term_final.end_date.
Added new webhooks to notify partners about the status of accounting system connections:
accounting_connection.pending_authaccounting_connection.connectedaccounting_connection.deauthorizedaccounting_connection.disconnectedPartner setting mail.attach_documents_as_pdf now also affects purchase order emails.
Added an optional payout_method field to payment intents. Currently, the only possible value is "bank_account".
DELETE /entities/{entity_id}/logo.The version 2023-09-01 is now publicly available to all Monite partners. To start using this version:
Change the api_version setting in your partner settings (/settings) to 2023-09-01:
Change the X-Monite-Version header value in all API calls to 2023-09-01. For example:
For more information, see How to upgrade.